import java.io.*;
import java.net.*;
import java.util.*;
public class building
{
int ierror=1;
public String read_building_material(String gName)
{
Vector<building_material> gi=new Vector<building_material>();
building_material bm=new building_material("Asbestos-vement board","Building Board",1900,0.58,0.0,1.0,0.0);
gi.addElement(bm);
bm=new building_material("Common Brick","Brick",1600.0,0.77,0.0,0.84,0.0);
gi.addElement(bm);
bm=new building_material("Face Brick","Brick",2000.0,1.32,0.0,0.84,0.0);
gi.addElement(bm);
bm=new building_material("Fire Brick","Brick",2000.0,1.06,0.0,0.96,0.0);
gi.addElement(bm);
bm=new building_material("Ply Wood","Woods",544.0,0.1,0.0,2.39,0.0);
gi.addElement(bm);
bm=new building_material("Hard Wood","Woods",720.0,0.158,0.0,2.39,0.0);
gi.addElement(bm);
bm=new building_material("Soft Wood","Woods",512.0,0.1,0.0,2.72,0.0);
gi.addElement(bm);
bm=new building_material("Soft Wood","Woods",512.0,0.1,0.0,2.72,0.0);
gi.addElement(bm);
bm=new building_material("Balsa","Woods",140.0,0.055,0.0,2.2,0.0);
gi.addElement(bm);
bm=new building_material("Cypress","Woods",460.0,0.097,0.0,2.2,0.0);
gi.addElement(bm);
bm=new building_material("Fir","Woods",420.0,0.11,0.0,2.72,0.0);
gi.addElement(bm);
bm=new building_material("Mapple","Woods",540.0,0.166,0.0,2.4,0.0);
gi.addElement(bm);
bm=new building_material("Oak","Woods",540.0,0.166,0.0,2.4,0.0);
gi.addElement(bm);
bm=new building_material("Yelow Pine","Woods",640.0,0.143,0.0,2.8,0.0);
gi.addElement(bm);
bm=new building_material("White Pine","Woods",430.0,0.112,0.0,2.8,0.0);
gi.addElement(bm);
bm=new building_material("Plaster cement","Masonary Materials",1885.0,8.65,0.0,0.796,0.0);
gi.addElement(bm);
bm=new building_material("Hollow Clay tiles 10 cm","Masonary Materials",0.0,0.0,5.23,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Hollow Clay tiles 20 cm","Masonary Materials",0.0,0.0,3.14,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Hollow Clay tiles 30 cm","Masonary Materials",0.0,0.0,2.33,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Hollow Concrete blocks 10 cm","Masonary Materials",0.0,0.0,8.14,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Hollow Concrete blocks 20 cm","Masonary Materials",0.0,0.0,5.23,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Hollow Concrete blocks 30 cm","Masonary Materials",0.0,0.0,4.54,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Foam Concrete 1","Masonary Materials",210.0,0.043,0.0,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Foam Concrete 2","Masonary Materials",500.0,0.1,0.0,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Foam Concrete 3","Masonary Materials",704.0,0.128,0.0,0.0,0.0);
gi.addElement(bm);
bm=new building_material("Window","Glass",2700.0,0.78,0.0,0.84,0.0);
gi.addElement(bm);
bm=new building_material("Borosilicate","Glass",2200.0,1.09,0.0,0.84,0.0);
gi.addElement(bm);
bm=new building_material("Mineral wool","Insulating Materilas",50.0,0.038,0.0,0.67,0.0);
gi.addElement(bm);
bm=new building_material("Glass wool","Insulating Materilas",50.0,0.038,0.0,0.67,0.0);
gi.addElement(bm);
bm=new building_material("Fiberglass board","Insulating Materilas",75.0,0.038,0.0,0.7,0.0);
gi.addElement(bm);
bm=new building_material("Cork board","Insulating Materilas",110.0,0.038,0.0,1.884,0.0);
gi.addElement(bm);
bm=new building_material("Cork granulated","Insulating Materilas",100.0,0.045,0.0,1.88,0.0);
gi.addElement(bm);
bm=new building_material("Diatomaceous Earth","Insulating Materilas",320.0,0.0461,0.0,1.2,0.0);
gi.addElement(bm);
bm=new building_material("Felt","Insulating Materilas",330.0,0.052,0.0,1.2,0.0);
gi.addElement(bm);
bm=new building_material("Magnesia","Insulating Materilas",270.0,0.067,0.0,1.2,0.0);
gi.addElement(bm);
bm=new building_material("Asbestos","Insulating Materilas",500.0,0.154,0.0,0.816,0.0);
gi.addElement(bm);
Iterator n1=gi.iterator();
building_material gasd;
ierror=1;
String s="";
while(n1.hasNext())
{
   gasd=(building_material)n1.next();
   s+=gasd.name+" ";
   if (gasd.name.equals(gName)) {ierror=0;break;}
}
return s;
}
}
